<?php
get_header(); ?>
<div id="reactheme-blog" class="reactheme-blog blog-page">
   <?php
       //checking blog layout form option
       $col         = '';
       $blog_layout = '';
       $column      = '';
       $blog_grid   = '';
       
       if (!empty($mighti_option['blog-layout']) || !is_active_sidebar('sidebar-1')) {
        
           $blog_layout = !empty($mighti_option['blog-layout']) ? $mighti_option['blog-layout'] : '';
           $blog_grid   = !empty($mighti_option['blog-grid']) ? $mighti_option['blog-grid'] : '';
           $blog_grid   = !empty($blog_grid) ? $blog_grid : '12';

            if ($blog_layout == '2left' || isset($_GET['layout']) && $_GET['layout'] == 'layout-ls') {             
               $layout = 'full-layout-left';
               $col    = '8';
            } 
            elseif ($blog_layout == '2right' || isset($_GET['layout']) && $_GET['layout'] == 'layout-rs') {              
               $layout = 'full-layout-right';
               $col    = '8';
            }
            elseif($blog_layout == 'full')
            {
                $layout ='full-layout';
                $col    = 'full';
                $column = 'sidebar-none';  
            }

          else {
               $col         = '8';
               $blog_layout = '';
           }
        }
        else{
            $col         ='8';
            $blog_layout =''; 
            $layout      ='';
            $blog_grid   ='12';
        }     
   ?>
    <div class="row padding-<?php echo esc_attr( $layout) ?>">  


            <div class="contents-sticky col-md-12 col-lg-<?php echo esc_attr($col); ?> <?php echo esc_attr($layout); ?>">                   
                <div class="row">     
                    <?php
                        if ( have_posts() ) :           
                            /* Start the Loop */
                            while ( have_posts() ) : the_post();

                            $post_id   = get_the_id();
                            $author_id = $post->post_author;
                            $no_thumb  = "";

                            if ( !has_post_thumbnail() ) {
                                $no_thumb = "no-thumbs";
                            }?>

                        <div class="col-sm-<?php echo esc_attr($blog_grid);?> col-xs-12">
                            <article <?php post_class();?>>
                                <div class="blog-item <?php echo esc_attr($no_thumb); ?> single-blog-area-5">

                                    <?php if ( has_post_thumbnail() ) {?>
                                        <div class="blog-img">
                                            <a href="<?php the_permalink();?>" class="thumbnail">
                                                <?php
                                                    the_post_thumbnail();
                                                ?>
                                            </a>        
                                        </div><!-- .blog-img -->
                                    <?php }       
                                    ?>
                                    <div class="full-blog-content">
                                        <div class="user-info">
                                            <!-- single info -->
                                            <div class="single-info cat">
                                                <span> 
                                                    <?php if(!empty($mighti_option['blog-category'])){
                                                            if($mighti_option['blog-category'] == 'show'){
                                                                if(get_the_category()):
                                                                    the_category(' / ');                                                 
                                                                endif;
                                                                }
                                                            }
                                                            else{
                                                                if(get_the_category()): ?>                                       
                                                                    <?php
                                                                        $seperator = ' , '; // blank instead of comma
                                                                        $after = ' ';
                                                                        $before = ' ';
                                                                    
                                                                        ?>
                                                                        <?php the_category(' / ');  ?> 
                                                                <?php endif;
                                                            } ?>
                                                </span>
                                            </div>
                                            <!-- single info end -->
                                        </div>
                                        <div class="title-wrap">                                                                                                              
                                            <h3 class="blog-title">
                                                <a href="<?php the_permalink();?>">
                                                    <?php the_title();?>
                                                </a>
                                            </h3>                                        
                                        </div>

                                        <div class="blog-desc">   
                                            <?php echo mighti_custom_excerpt(30);?>                                    
                                        </div>                                     
                                        <?php    
                                            if(!empty($mighti_option['blog_readmore'])):?>
                                                <div class="blog-button">
                                                    <a href="<?php the_permalink();?>">
                                                        <?php echo esc_html($mighti_option['blog_readmore']); ?>
                                                    </a>
                                                </div>
                                        <?php endif; ?>
                                </div>
                                </div>
                            </article>
                        </div>
                    
                    <?php  
                        endwhile;                        
                    ?>
                </div>
                <div class="pagination-area">
                    <?php
                        the_posts_pagination();
                    ?>
                </div>
                    <?php
                    else :
                    get_template_part( 'template-parts/content', 'none' );
                    endif; ?> 
            </div>
        
        <?php
        if( $layout != 'full-layout' ):     
            get_sidebar();    
        endif;
        ?>
    </div>  

</div>
<?php
get_footer();