<?php

/*
Header Style 1
*/
$mighti_option = get_option('mighti_option');
$sticky             = !empty($mighti_option['off_sticky']) ? $mighti_option['off_sticky'] : ''; 
$sticky_menu        = ($sticky == 1) ? ' menu-sticky' : '';
$drob_aligns        = (!empty($mighti_option['drob_align_s'])) ? 'menu-drob-align' : '';
$mobile_hide_search = (!empty($mighti_option['mobile_off_search'])) ? 'mobile-hide-search' : '';
$mobile_hide_cart   = (!empty($mighti_option['mobile_off_cart'])) ? 'mobile-hide-cart-no' : 'mobile-hide-cart';
$mobile_hide_button = (!empty($mighti_option['mobile_off_button'])) ? 'mobile-hide-button' : '';
$mobile_logo_height = !empty($mighti_option['mobile_logo_height']) ? 'style = "max-height: '.$mighti_option['mobile_logo_height'].'"' : '';

// Header Options here
require get_parent_theme_file_path('inc/header/header-options.php');
//off convas here
get_template_part('inc/header/off-canvas');
?> 

<?php if ( has_nav_menu( 'menu-1' ) ) {
    $menugap_minus = 'menugap-minus';
}else{
    $menugap_minus = '';
}

    //include sticky search here
    get_template_part('inc/header/search');
?>

<!-- Header Menu Start -->  
<?php
$menu_bg_color = !empty($menu_bg) ? 'style=background:'.$menu_bg.'' : '';
?>   
<div class="menu-area menu_type_<?php echo esc_attr($main_menu_type);?>" <?php echo wp_kses($menu_bg_color, 'mighti');?>>    
    <div class="menu_one">
            <div class="row-table"> 
            <div class="col-cell header-logo">
                <?php 
                 if (!empty( $mighti_option['wplogo_mobile_rt']['url'] ) ) { ?>
                  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img <?php echo wp_kses($mobile_logo_height, 'mighti');?> src="<?php echo esc_url( $mighti_option['wplogo_mobile_rt']['url']); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"></a>
                <?php }else{
                 get_template_part('inc/header/logo'); 
                } ?>
            </div>  
                    
            <div class="col-cell menu-responsive primary-menu">  
                <?php                 
                    require get_parent_theme_file_path('inc/header/menu.php');                                 
                ?>
            </div>            

            <div class="col-cell header-quote rts-light-mood"> 
                <div class="rts-offcanvas-wrapper">
                    <div class="rts-offcanvas-wrapper">
                        <div class="container-menu">
                            <div class="action-menu hamburger">
                                <div class="close-event"></div>
                                <div class="open-event">
                                    <div class="burger">
                                        <svg viewBox="0 0 18 12" fill="none" xmlns="http://www.w3.org/2000/svg" class="icon-burger" data-v-649bbaab="">
                                            <line x1="18" y1="0.6" y2="0.6" stroke="currentColor" stroke-width="1.2" data-v-649bbaab=""></line>
                                            <line x1="18" y1="5.7167" y2="5.7167" stroke="currentColor" stroke-width="1.2" data-v-649bbaab=""></line>
                                            <line x1="18" y1="10.8334" y2="10.8334" stroke="currentColor" stroke-width="1.2" data-v-649bbaab=""></line>
                                        </svg>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>  
                </div>  
            </div> 
        </div>
    </div>    
</div> 
