<?php 
$mighti_option = get_option('mighti_option');
$preloader_bg_color = "";
$preloader_animate_color2 = "";

if(!empty($mighti_option['show_preloader']))
  {
    $loading = $mighti_option['show_preloader'];
    
    if(!empty($mighti_option['preloader_bg_color'])){
        $preloader_bg_color = $mighti_option['preloader_bg_color'];
    }
    if(!empty($mighti_option['preloader_animate_color2'])){
        $preloader_animate_color2 = $mighti_option['preloader_animate_color2'];
    }

    if($loading == 1){
      if(!empty($preloader_bg_color)):
      ?>
        <div class="loading-screen" id="loading-screen" style="background-color:<?php if(!empty($preloader_bg_color)){echo esc_attr($preloader_bg_color);}?>;">
            <span class="bar top-bar"></span>
            <span class="bar down-bar"></span>
            <span class="progress-line"></span>
            <span class="loading-counter" style="color:<?php if(!empty($preloader_animate_color2)){echo esc_attr($preloader_animate_color2);} ?>; "> </span>
        </div>      

        <?php else: ?>
            <div id="mighti-load">  
                <div class="lds-ring">
                    <div></div><div></div><div></div><div></div>
                </div>
            </div>
        <?php endif; ?>
  <?php }
}?>



<?php 
    if(!empty($mighti_option['off_sticky'])):   
        $sticky = $mighti_option['off_sticky'];         
        if($sticky == 1):
            $sticky_menu ='menu-sticky';        
        endif;
        else:
            $sticky_menu ='';
    endif;

    if( is_page() ){

        $post_meta_header = get_post_meta($post->ID, 'trans_header', true);  

        if($post_meta_header == 'Default Header'){       
            $header_style = 'default_header';             
        }
        else{
            $header_style = 'transparent_header';
        }
    }
    else{
        $header_style = 'transparent_header';
    }
 ?>   