<?php
  $mighti_option = get_option('mighti_option');
  $header_trans = '';
    if(!empty($mighti_option['header_layout'])){               
        $header_style = $mighti_option['header_layout'];               
        if($header_style == 'style2'){       
            $header_trans = 'heads_trans';    
        }
    }

    $post_menu_type = get_post_meta(get_queried_object_id(), 'menu-type', true);
?>

<div class="reactheme-breadcrumbs porfolio-details <?php echo esc_attr($header_trans);?>">
    <?php  if(is_post_type_archive('events')){
        $archive_banner = !empty($mighti_option['event_banner_main']['url']) ? $mighti_option['event_banner_main']['url'] : '';
    }
    
    else{
        $archive_banner = !empty($mighti_option['blog_banner_main']['url']) ? $mighti_option['blog_banner_main']['url'] : '';
        $blog_bg_color   = !empty($mighti_option['blog_bg_color']) ? $mighti_option['blog_bg_color'] : '' ;
    }



   if($archive_banner !='' || $blog_bg_color !='' ) { ?>
    <div class="breadcrumbs-single rts-breadcrumb-area" style="<?php if(!empty($blog_bg_color)){?> background-color:<?php echo esc_html($blog_bg_color); }?> ; background-image: url('<?php echo esc_url($archive_banner); ?>')" >
      <div class="container">
        <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>">
            <div class="row">
                    <div class="col-lg-12">             
                        <div class="baread-crumb-main-wrapper">
                            <div class="inner">
                                    <?php if (empty($mighti_option['show_banner__course'])) {
                                        if(!empty($mighti_option['event_info']) && is_post_type_archive('events')){
                                            echo '<h1 class="page-title">'.esc_html($mighti_option['event_info']).'</h1>';
                                                if( !empty($mighti_option['off_breadcrumb_event'])){
                                                    if(function_exists('bcn_display')){?>
                                                        <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                                                    <?php } 
                                                }                 
                                            }
                                            elseif(!empty($mighti_option['notice_info']) && is_post_type_archive('notices')){
                                            echo '<h1 class="title rts_hero__title">'.esc_html($mighti_option['notice_info']).'</h1>';  
                                            if(!empty($mighti_option['off_breadcrumb_notice'])){
                                                if(function_exists('bcn_display')){?>
                                                    <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                                                <?php } 
                                            }                 
                                            } else {
                                            the_archive_title( '<h1 class="title rts_hero__title">', '</h1>' );
                                            
                                        } 
                                    }          
                                    ?>   
                            </div>
                        </div>
                    </div>
                    <!-- off breadcrumb -->
                    <div class="col-lg-12 col-md-12">
                        <?php if(!empty($mighti_option['off_breadcrumb'])){
                                $rs_breadcrumbs = get_post_meta(get_queried_object_id(), 'select-bread', true);
                                if( $rs_breadcrumbs != 'hide' ):        
                                if(function_exists('bcn_display')){?>
                                    <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                                <?php } 
                                endif;
                            } ?>
                    </div>
             </div>
            </div>
        </div>
    </div>
  <?php }

   elseif(!empty($mighti_option['breadcrumb_bg_color']) || !empty($mighti_option['page_banner_main']['url'])) { ?>
    <div class="breadcrumbs-single rts-breadcrumb-area" style="background-color:<?php echo esc_attr($mighti_option['breadcrumb_bg_color']);?>; background-image: url('<?php echo esc_url($mighti_option['page_banner_main']['url']);?>') ">
      <div class="container">
        <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>">
            <div class="row">
                    <div class="col-lg-12">             
                        <div class="baread-crumb-main-wrapper">
                            <div class="inner">
                                    <?php if (empty($mighti_option['show_banner__course'])) {
                                        if(!empty($mighti_option['event_info']) && is_post_type_archive('events')){
                                            echo '<h1 class="page-title">'.esc_html($mighti_option['event_info']).'</h1>';
                                                if( !empty($mighti_option['off_breadcrumb_event'])){
                                                    if(function_exists('bcn_display')){?>
                                                        <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                                                    <?php } 
                                                }                 
                                            }
                                            elseif(!empty($mighti_option['notice_info']) && is_post_type_archive('notices')){
                                            echo '<h1 class="title rts_hero__title">'.esc_html($mighti_option['notice_info']).'</h1>';  
                                            if(!empty($mighti_option['off_breadcrumb_notice'])){
                                                if(function_exists('bcn_display')){?>
                                                    <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                                                <?php } 
                                            }                 
                                            } else {
                                            the_archive_title( '<h1 class="title rts_hero__title">', '</h1>' );
                                            
                                        } 
                                    }          
                                    ?>   
                            </div>
                        </div>
                    </div>
                    <!-- off breadcrumb -->
                    <div class="col-lg-12 col-md-12">
                        <?php if(!empty($mighti_option['off_breadcrumb'])){
                                $rs_breadcrumbs = get_post_meta(get_queried_object_id(), 'select-bread', true);
                                if( $rs_breadcrumbs != 'hide' ):        
                                if(function_exists('bcn_display')){?>
                                    <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                                <?php } 
                                endif;
                            } ?>
                    </div>
             </div>
            </div>
        </div>
    </div>
  <?php }

  else{   
  ?>

  <div class="reactheme-breadcrumbs-inner">  
    <div class="container">
        <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>">
            <div class="row">
              <div class="col-lg-12">              
                <?php if (empty($mighti_option['show_banner__course'])) {

                    if(!empty($mighti_option['event_info']) && is_post_type_archive('events')){
                        echo '<h1 class="page-title a">'.esc_html($mighti_option['event_info']).'</h1>';

                            if( !empty($mighti_option['off_breadcrumb_event'])){
                                if(function_exists('bcn_display')){?>
                                    <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                                <?php } 
                            }                 
                        }

                        elseif(!empty($mighti_option['notice_info']) && is_post_type_archive('notices')){

                        echo '<h1 class="page-title">'.esc_html($mighti_option['notice_info']).'</h1>';  

                        if(!empty($mighti_option['off_breadcrumb_notice'])){
                            if(function_exists('bcn_display')){?>
                                <h1 class="page-title"> <?php  bcn_display();?></h1>
                            <?php } 
                        } 

                        } else {
                        the_archive_title( ' <h1 class="page-title">', '</h1>' );
                        
                    } 
                } 

                ?>   
                </div>
                    <div class="col-lg-12">
                        <?php if(!empty($mighti_option['off_breadcrumb'])){
                            if(function_exists('bcn_display')){?>
                                <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                            <?php } 
                        }   ?>
                    </div>
              </div>
            </div>
      </div>
    </div>
  </div>
  <?php
  }
?>  
</div>