<?php
    echo $mighti_option = get_option('mighti_option');   
    $header_width_meta = get_post_meta(get_queried_object_id(), 'header_width_custom', true);
    if ($header_width_meta != ''){
        $header_width = ( $header_width_meta == 'full' ) ? 'container-fluid': 'container';
    }else{
        $header_width = !empty($mighti_option['header-grid']) ? $mighti_option['header-grid'] : '';
        $header_width = ( $header_width == 'full' ) ? 'container-fluid': 'container';
    }
?>

<?php 
    $post_menu_type = get_post_meta(get_queried_object_id(), 'menu-type', true); 
    $post_meta_data = get_post_meta(get_queried_object_id(), 'banner_image', true);
    $content_banner = get_post_meta(get_queried_object_id(), 'content_banner', true); 
    $intro_content_banner = get_post_meta(get_queried_object_id(), 'intro_content_banner', true); 

    $blog_banner_main = !empty($mighti_option['blog_banner_main']['url']) ? $mighti_option['blog_banner_main']['url'] : '';
    $blog_bg_color   =!empty($mighti_option['blog_bg_color']) ? $mighti_option['blog_bg_color'] : '';
?>
<div class="reactheme-breadcrumbs porfolio-details is-shop-hide">  
    <?php if($blog_banner_main !='' || $blog_bg_color !='' ) { ?>
        <div class="breadcrumbs-single rts-breadcrumb-area" style="<?php if(!empty($blog_bg_color)){?> background-color:<?php echo esc_html($blog_bg_color); }?> ; background-image: url('<?php echo esc_url($blog_banner_main); ?>')">
            <div class="<?php echo esc_attr($header_width);?>">
                <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>"> 
                    <div class="row">
                        <div class="col-lg-12 col-md-12">
                            <div class="baread-crumb-main-wrapper">
                                <?php $post_meta_title = get_post_meta(get_the_ID(), 'select-title', true);?>
                                    <?php if($post_meta_title != 'hide'){  ?>
                                        <div class="inner">
                                            <?php if( !empty( $intro_content_banner )):?>
                                                <span class="works">
                                                    <?php if($intro_content_banner !=''){
                                                            echo esc_html($intro_content_banner);
                                                        } else {
                                                            esc_html_e('Articles & News','mighti');
                                                        }
                                                    ?>
                                                </span>
                                            <?php endif; ?>
                                            <h1 class="title rts_hero__title">
                                                <?php  
                                                    if(!empty($mighti_option['blog_title'])) {
                                                        echo esc_html($mighti_option['blog_title']);
                                                        }
                                                    else{
                                                        esc_html_e('Blog','mighti');
                                                    }
                                                ?>
                                            </h1>
                                            <span class="bg-text">
                                                <?php if($content_banner !=''){
                                                    echo esc_html($content_banner);
                                                } else {
                                                    esc_html_e('Blog Posts','mighti');
                                                }
                                                ?>
                                            </span>
                                        </div>
                                    <?php } ?> 
                            </div>       
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php }
    elseif(!empty($blog_banner_main)) { ?>
    <div class="breadcrumbs-single rts-breadcrumb-area" style="background-image: url('<?php echo esc_url($blog_banner_main);?>')">
      <div class="<?php echo esc_attr($header_width);?>">
        <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>"> 
            <div class="row">
                <div class="col-lg-12 col-md-12">
                    <div class="baread-crumb-main-wrapper">
                        <?php $post_meta_title = get_post_meta(get_the_ID(), 'select-title', true);?>
                        <?php if($post_meta_title != 'hide'){  ?>
                            <div class="inner">
                                <?php if( !empty( $intro_content_banner )):?>
                                    <span class="works">
                                        <?php if($intro_content_banner !=''){
                                                echo esc_html($intro_content_banner);
                                            } else {
                                                esc_html_e('Articles & News','mighti');
                                            }
                                        ?>
                                    </span>
                                <?php endif; ?>
                                <h1 class="title rts_hero__title">
                                    <?php  
                                        if(!empty($mighti_option['blog_title'])) {
                                            echo esc_html($mighti_option['blog_title']);
                                            }
                                        else{
                                            esc_html_e('Blog','mighti');
                                        }
                                    ?>
                                </h1>
                                <span class="bg-text">
                                    <?php if($content_banner !=''){
                                        echo esc_html($content_banner);
                                    } else {
                                        esc_html_e('Blog Posts','mighti');
                                    }
                                    ?>
                                </span>
                            </div>
                        <?php } ?> 
                    </div>       
                </div>
            </div>
        </div>
      </div>
    </div>
  <?php }

  elseif(!empty($mighti_option['breadcrumb_bg_color']) || !empty($mighti_option['page_banner_main']['url'])) { ?>
    <div class="breadcrumbs-single rts-breadcrumb-area" style="background-color:<?php echo esc_attr($mighti_option['breadcrumb_bg_color']);?>; background-image: url('<?php echo esc_url($mighti_option['page_banner_main']['url']);?>') ">
      <div class="<?php echo esc_attr($header_width);?>">
        <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>"> 
           <div class="row">
                <div class="col-lg-12 col-md-12">
                    <div class="baread-crumb-main-wrapper">
                        <?php $post_meta_title = get_post_meta(get_the_ID(), 'select-title', true);?>
                        <?php if($post_meta_title != 'hide'){  ?>
                            <div class="inner">
                                <?php if( !empty( $intro_content_banner )):?>
                                    <span class="works">
                                        <?php if($intro_content_banner !=''){
                                                echo esc_html($intro_content_banner);
                                            } else {
                                                esc_html_e('Articles & News','mighti');
                                            }
                                        ?>
                                    </span>
                                <?php endif; ?>
                                <h1 class="title rts_hero__title">
                                    <?php  
                                        if(!empty($mighti_option['blog_title'])) {
                                            echo esc_html($mighti_option['blog_title']);
                                            }
                                        else{
                                            esc_html_e('Blog Posts','mighti');
                                        }
                                    ?>
                                </h1>
                                <span class="bg-text">
                                    <?php 
                                        if($content_banner !=''){
                                            echo esc_html($content_banner);
                                        } else {
                                            esc_html_e('Blog','mighti');
                                        }
                                    ?>
                                </span>
                            </div>
                        <?php } ?> 
                    </div>       
                </div>
           </div>
        </div>
      </div>
    </div>
  <?php }

  else {   
  ?>
  <div class="reactheme-breadcrumbs-inner">  
    <div class="<?php echo esc_attr($header_width);?>">
      <div class="row">
        <div class="col-md-12">
            <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>">
                <?php     
                    if(!empty($mighti_option['off_breadcrumb'])){
                        $rs_breadcrumbs = get_post_meta(get_queried_object_id(), 'select-bread', true);
                        if( $rs_breadcrumbs != 'hide' ):        
                            if(function_exists('bcn_display')){?>
                                <div class="breadcrumbs-title"> <?php  bcn_display();?></div>
                            <?php } 
                        endif;
                    }
                    $post_meta_title = get_post_meta(get_queried_object_id(), 'select-title', true);?>
                        <?php if( $post_meta_title != 'hide' ){             
                    ?>
                    <h1 class="page-title">
                        <?php if($content_banner !=''){
                                echo esc_html($content_banner);
                            } else {        
                            if(!empty($mighti_option['blog_title'])) { ?>
                                <?php echo esc_html($mighti_option['blog_title']);?>
                            <?php }
                            else{
                                esc_html_e('Blog','mighti');
                            } 
                        }
                        ?>
                    </h1>
                    <?php }
                ?>            
            </div>
        </div>
      </div>
    </div>
  </div>
  <?php
  }
?>  
</div>