<?php 
$mighti_option = get_option('mighti_option');
$rs_offcanvas = get_post_meta(get_the_ID(), 'show-off-canvas', true);
$logo_height = !empty($mighti_option['logo-height']) ? 'style = "max-height: '.$mighti_option['logo-height'].'"' : '';
?>
    
    
<div class="rts-light-mood">
    <div class="rts-offcanvas-wrapper">
		<div class="rts-fs-menu">
            <span class="burger_close_icon"> 
                <svg viewBox="0 0 15 15" fill="none" xmlns="http://www.w3.org/2000/svg" class="">
                    <line x1="13.788" y1="1.28816" x2="1.06011" y2="14.0161" stroke="currentColor" stroke-width="1.2"></line>
                    <line x1="1.06049" y1="1.43963" x2="13.7884" y2="14.1675" stroke="currentColor" stroke-width="1.2"></line>
                </svg>                        
            </span>  
			<div class="rts-fs-container">
				<div class="rts-fs--nav">
                    <?php
                        if ( has_nav_menu( 'menu-1' ) ):
                            // User has assigned menu to this location;
                            // output it
                            ?>                                
                                <div class="widget widget_nav_menu mobile-menus">      
                                    <?php
                                        wp_nav_menu( array(
                                            'theme_location' => 'menu-1',
                                            'menu_id'        => 'primary-menu-single1'
                                        ) );
                                    ?>
                                </div>                                
                            <?php
                        endif;
                    ?>	  
                    <div class="rt-canvas-menu">                 
                    <?php 
                        $canvas_style = new WP_Query(array(
                            'post_type' => 'rts-canvans',
                            'posts_per_page' => 1,                        
                            )); 
                        if ( $canvas_style->have_posts() ) {
                            while ( $canvas_style->have_posts() ) : $canvas_style->the_post();
                                the_content();
                            endwhile;
                            wp_reset_postdata();
                        }
                    ?>	
                    </div> 
				</div>
			</div>            
		</div>        
    </div>
</div>