<?php
function mighti_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'mighti' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'This is sidebar area for blog post and single post.', 'mighti' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	if(class_exists('WooCommerce')): 
		register_sidebar( array(
			'name'          => esc_html__( 'WooCommerce Sidebar', 'mighti' ),
			'id'            => 'woocommerce',
			'description'   => esc_html__( 'This is sidebar area for woocommerces shop page.', 'mighti' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		) );
	endif;
			
}
add_action( 'widgets_init', 'mighti_widgets_init' );