<?php
    get_header();
    $mighti_option = get_option('mighti_option');
    $post_id      = get_the_id();
    $author_id    = get_post_field ('post_author', $post_id);
    $display_name = get_the_author_meta( 'display_name' , $author_id );
     // breadcrumbs_banner_show_hide
     $breadcrumbs_banner_show_hide = get_post_meta(get_queried_object_id(), 'breadcrumbs_banner_show_hide', true); 

    //checking page layout 
    $page_layout = get_post_meta( $post->ID, 'layout', true );
    $col_side = '';
    $col_letf = '';
    if($page_layout == '2left'){
        $col_side = '8';
        $col_letf = 'left-sidebar';}
    else if($page_layout == '2right' && is_active_sidebar( 'sidebar-1' )){
        $col_side = '8';}
    else{
        $col_side = '12';
    }
    ?>
    <!-- Blog Detail Start -->
    <div class="reactheme-blog-details">
        <div class="row padding-<?php echo esc_attr( $col_letf) ?>">
            <div class="col-lg-<?php echo esc_attr( $col_side). ' ' .esc_attr( $col_letf) ?>">
                <div class="news-details-inner">
                    <?php  while ( have_posts() ) : the_post(); ?>             
                        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>             
                            <?php if($breadcrumbs_banner_show_hide != 'show' ||  $page_layout == '2left' || $page_layout == '2right') {
                                    if(has_post_thumbnail()){ ?>
                                    <div class="bs-img thumbnail-banner-large-iamge grow">
                                        <?php the_post_thumbnail(); ?>
                                    </div>
                                    <?php } 
                                }
                            ?>
                        
                            <?php
                            get_template_part( 'template-parts/post/content', get_post_format() );         
                            ?>
                            <div class="clear-fix"></div>      
                        </article> 
                    
                        <?php $author_meta = get_the_author_meta('description'); 
                         if( !empty($author_meta) ){  ?>
                                <div class="author-block">
                                    <div class="author-img">
                                        <?php echo get_avatar(get_the_author_meta( 'ID' ), 200);?> 
                                    </div>
                                    <div class="author-desc">
                                        <h3 class="author-title">
                                            <?php the_author();?>
                                        </h3>
                                        <?php   
                                            echo wpautop( get_the_author_meta( 'description' ) );
                                        ?>
                                        <!-- Author Socila Info  -->
                                            <?php
                                                if (is_single()) {
                                                    $author_ID = get_the_author_meta('ID');
                                                    $facebook_url = get_the_author_meta('facebook_url', $author_ID);
                                                    $twitter_url = get_the_author_meta('twitter_url', $author_ID);
                                                    $whatsapp_url = get_the_author_meta('whatsapp_url', $author_ID);
                                                    $skype_url = get_the_author_meta('skype_url', $author_ID);
                                                }
                                            ?>
                                        <div class="rts-social-area-one">
                                            <ul>
                                                <?php if ($facebook_url || $twitter_url || $whatsapp_url || $skype_url) {
                                                    if ($facebook_url) {
                                                        echo '<li><a href="' . esc_url($facebook_url) . '" target="_blank" class="f"><i class="fab fa-facebook-f"></i></a></li>';
                                                    }
                                                    if ($twitter_url) {
                                                        echo '<li><a href="' . esc_url($twitter_url) . '" target="_blank" class="t"><i class="fab fa-twitter"></i></a></li>';
                                                    }
                                                    if ($whatsapp_url) {
                                                        echo '<li><a href="' . esc_url($whatsapp_url) . '" target="_blank" class="in"><i class="fab fa-whatsapp"></i></a></li>';
                                                    }
                                                    if ($skype_url) {
                                                        echo '<li><a href="' . esc_url($skype_url) . '" target="_blank" class="in"><i class="fab fa-skype"></i></a></li>';
                                                    }
                                                }
                                                ?>
                                            </ul>
                                        </div>

                                    </div>
                                </div>
                                <!-- .author-block -->
                        <?php } 

                        $blog_author = '';
                        if($blog_author == ""){
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif;
                        }
                        else
                            {
                            $blog_author = $mighti_option['blog-comments'];
                            if($blog_author == 'show'){     
                            // If comments are open or we have at least one comment, load up the comment template.
                            if ( comments_open() || get_comments_number() ) :
                            comments_template();
                            endif;
                            }
                        }
                        endwhile; // End of the loop.
                    ?>
                <!-- Related  Post  -->
                <?php 
                $related_posts  = !empty($mighti_option['blog-realated-post']) ? $mighti_option['blog-realated-post'] : '';
                if( $related_posts == 'show' ) : ?>
                    <div class="row g-5 related-post">
                        <h3 class="title quote">Related Post</h3>	   
                        <?php 
                        $tags = wp_get_post_tags($post->ID);
                        if (!empty($tags)) {
                            $tag_ids = array();
                            foreach($tags as $tag) $tag_ids[] = $tag->term_id;

                            $current_post_type = get_post_type($post->ID);
                            $args = array(
                                'tag__in'       => $tag_ids,
                                'post__not_in'  => array($post->ID),
                                'post_type'     => $current_post_type,
                                'posts_per_page'=> 2, // Adjust the number of related posts to display

                            );

                            $related_posts = new WP_Query($args);
                            if($related_posts->have_posts()):
                                while($related_posts->have_posts()): $related_posts->the_post();   ?>
                                    <div class="col-lg-6 col-md-6 rts-slide-up-gsap m-0">
                                        <div class="blog-single-main-wrapper style-one">
                                            <?php if(has_post_thumbnail()) : ?>
                                                <a href="<?php the_permalink(); ?>" class="thumbnail">
                                                    <div class="imgae-box">
                                                        <?php the_post_thumbnail('thumbnail_size'); ?>
                                                    </div>
                                                </a>
                                            <?php endif; ?>
                                            <div class="inner">
                                                    <div class="head">
                                                        <span class="date"><?php echo get_the_date();?></span>
                                                        <span class="time"><?php echo mighty_reading_time(); ?></span>
                                                    </div>
                                                <div class="body">
                                                    <a href="<?php the_permalink(); ?>">
                                                        <h4 class="title"><?php the_title(); ?></h4>
                                                    </a>
                                                    <a href="<?php the_permalink(); ?>" class="rts-btn btn-primary mt--30"><?php echo esc_html('Read More');?> </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            <?php endwhile; wp_reset_query(); // End of the loop.
                            endif;
                        }
                        ?>

                    </div>
                <?php endif; ?>
            </div>

            

        </div>
        
          <?php
            if( $page_layout == '2left' || $page_layout == '2right'):
                get_sidebar('single');
            endif;
          ?>    
        </div>
    </div>
    <!-- Blog Detail End --> 
      
<?php
get_footer();